WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Core v5.0rc1  (Read 33272 times)

gordonselfish

  • Guest
Re: Core v5.0rc1
« Reply #30 on: August 29, 2013, 05:19:02 PM »
apps panel issues for your consideration

cups-dev

LH side says cups-dev....RH side (the info file) says its libcups
but file contents shows it is truly dev files

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #31 on: August 29, 2013, 10:51:37 PM »
I am suggesting that the alsa package may need either a tce.installed to create the
/var/lib/alsa...

Thanks for the feedback - update posted

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #32 on: August 29, 2013, 10:58:06 PM »
deps for leafpad and Xorg-7.7-dev updated

cups-dev info file corrected

keep the feedback coming  :)

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #33 on: August 29, 2013, 11:00:41 PM »
The tce.installed script it should also make sure that /var/lib/asound is in /opt/.filelist to preserve settings.

Thanks - though I think this would probably be better left to the user, I'm not sure I'd like to mess with anybody's filetool.lst...

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #34 on: August 29, 2013, 11:09:18 PM »
deps for leafpad and...

In fact what might make most sense would be to check the individual deps of gtk2/3 for deps on Xorg-7.7-lib and fix things that way - I'll have a look at this a little later

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #35 on: August 30, 2013, 01:06:11 AM »
deps for leafpad and...

pango was missing the dep on Xorg-7.7-lib - this should hopefully fix the missing deps of the other gtk2 apps

pango dep files adjusted and leafpad dep file reset to how it was previously.

gordonselfish

  • Guest
Re: Core v5.0rc1
« Reply #36 on: August 31, 2013, 01:04:52 AM »
I was unable to use RH click and choose screenshot
---well actually it says a screenshot is taken
---it claims under /home/tc/.......something.png

but no such beasts exist

This should be easy for anyone else to confirm?
« Last Edit: August 31, 2013, 01:20:22 AM by gordonselfish »

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #37 on: August 31, 2013, 01:07:20 AM »
I am suggesting it appears to be missing from gtk3

You can use the gnome-themes-standard extension

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #38 on: August 31, 2013, 01:08:26 AM »
I was unable to use RH click and choose screenshot
---well actually it says a screenshot is taken
---it claims under /home/tc/.......something.png
You need the imlib2-bin extension to be loaded

Offline curaga

  • Administrator
  • Hero Member
  • *****
  • Posts: 10048
Re: Core v5.0rc1
« Reply #39 on: August 31, 2013, 01:14:48 AM »
imlib2-bin should then be included in TC and CorePlus isos.
The only barriers that can stop you are the ones you create yourself.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #40 on: August 31, 2013, 01:43:36 AM »
---now I have .gtkrc-2.0 with contents
OK, but I was suggesting the extension for use with gtk3, which was your question  ;)

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 3020
Re: Core v5.0rc1
« Reply #41 on: August 31, 2013, 09:23:52 AM »
Three more Realtek Wireless drivers submitted to join the wl-rt8192u-3.8.10 driver  previously submitted

wl-r8712u-3.8.10-tinycore.tcz  (only this driver tested, have found that this driver may not support as many chips as it used to.  Although worked well on RTL8191SU n Wlan and RTL8188SU chips)

wl-r8192u_usb-3.8.10-tinycore.tcz  (not tested as have no compatible hardware)

wl-r8187se-3.8.10-tinycore.tcz  (not tested as have no compatible hardware)


Heads up, the sources are from staging so use with caution. 

Having said that, they are the same drivers used in major distro's!!
« Last Edit: August 31, 2013, 09:27:05 AM by coreplayer2 »

Offline tinypoodle

  • Hero Member
  • *****
  • Posts: 3857
Re: Core v5.0rc1
« Reply #42 on: August 31, 2013, 02:57:42 PM »
wl-r8712u-3.8.10-tinycore.tcz  (only this driver tested, have found that this driver may not support as many chips as it used to.  Although worked well on RTL8191SU n Wlan and RTL8188SU chips)

There is a list here:
http://cateee.net/lkddb/web-lkddb/R8712U.html
"Software gets slower faster than hardware gets faster." Niklaus Wirth - A Plea for Lean Software (1995)

gordonselfish

  • Guest
Re: Core v5.0rc1
« Reply #43 on: August 31, 2013, 05:51:08 PM »
Strange behaviour suspected for xorg
#####################

I am not an expert. I could take a movie of it, but you decide whether to confirm it not

I have not noticed this "fault" until I started xorg as onboot item

I can duplicate it myself so let me reveal more

start up with Xorg-7.7

when you choose to reboot, remove all opened and running executables
open a fresh aterm
inside it, press enter a number of times
(thats how I tested it to see the image changes on reboot)

I allege that on reboot, "IT" whatever it is, remembers a screen artifact or gremlin
so that before your final flwm_topside/fltk desktop appears
---you see your previous aterm, open with (according to my eyesight), the correct number of prompt lines down.

I allege .....this should not happen.

but it does not affect my work
--so you may ignore it

but someone, may like to attempt to duplicate it and tell me whats happening?

good luck

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 11064
Re: Core v5.0rc1
« Reply #44 on: September 01, 2013, 12:00:16 AM »
firefox is running as expected

If I copy the firefox or minefield21 extensions from the tc-4.x repo to a tc-5.x install, I get this:
Code: [Select]
$ firefox
XPCOMGlueLoad error for file /tmp/tcloop/firefox/usr/local/firefox/libxpcom.so:
libxul.so: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
..which is what I'd expect because libxul.so is not in the ldconfig path

You can verify this by symlinking /usr/local/lib/libxul.so -> /tmp/tcloop/firefox/usr/local/firefox/libxul.so and "sudo ldconfig", after which you'll get:
Code: [Select]
$ firefox
XPCOMGlueLoad error for file /tmp/tcloop/firefox/usr/local/firefox/libxpcom.so:
libpangoft2-1.0.so.0: cannot open shared object file: No such file or directory
Couldn't load XPCOM.
..which would tend to indicate that firefox/minefield has a dep on gtk2

After loading gtk2, I get:
Code: [Select]
$ firefox

(process:5912): GLib-CRITICAL **: g_slice_set_config: assertion `sys_page_size == 0' failed

(firefox:5912): Gtk-WARNING **: Could not find the icon 'gtk-go-back-ltr'. The 'hicolor' theme
was not found either, perhaps you need to install it.
You can get a copy from:
        http://icon-theme.freedesktop.org/releases
..and firefox runs, meaning the hicolor-icon-them is not strictly neccessary  :)

Edit: Do these extensions run under tc-4.x? Unless I'm missing something, they'll need modifying to run under tc-5.x
« Last Edit: September 01, 2013, 12:12:41 AM by Juanito »